Bug 516092 - gdm crashes when selecting user (gdm-2.26.1-13.fc11.i586)
gdm crashes when selecting user (gdm-2.26.1-13.fc11.i586)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
i386 Linux
urgent Severity urgent
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-08-06 13:26 EDT by Penelope Fudd
Modified: 2015-01-14 18:23 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:00:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Contents of /var/log/rpmpkgs at 3am today, before yum upgrade (64.25 KB, application/octet-stream)
2009-08-06 13:30 EDT, Penelope Fudd
no flags Details
Current list of rpms (64.39 KB, application/octet-stream)
2009-08-06 13:31 EDT, Penelope Fudd
no flags Details
Output of rpm --verify -a (1.52 KB, application/octet-stream)
2009-08-06 13:56 EDT, Penelope Fudd
no flags Details
Bugbuddy report of canberra-gtk-play crash (228.91 KB, text/plain)
2009-08-06 14:07 EDT, Penelope Fudd
no flags Details

  None (edit)
Description Penelope Fudd 2009-08-06 13:26:05 EDT
Description of problem:
I updated my system this morning, rebooted, and found I couldn't log in.  The gdm-simple-greeter allows me to select my username from the list of users, but as it shrinks the window, it freezes, which prevents me from entering my password.

Version-Release number of selected component (if applicable):
gdm-2.26.1-13.fc11.i586

How reproducible:
Every time

Steps to Reproduce:
1. Upgrade system on 2009-08-06, which includes gdm-2.26.1-13.fc11.i586.
2. Click on the user picture on gdm login screen
3. Observe crash
  
Actual results:
Screen freezes before asking for password
Stack dump appears in system log

Expected results:
Password prompt appearing

Additional info:
Stack dump from system log:

Aug  6 10:02:17 chowes-fedora11 gdm-simple-slave[1722]: WARNING: Freeing conversation with active job
Aug  6 10:03:17 chowes-fedora11 gdm-simple-slave[1722]: GLib-GObject-CRITICAL: g_object_ref: assertion `G_IS_OBJECT (object)' failed
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: ******************* START **********************************
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: 0x00e18424 in __kernel_vsyscall ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #0  0x00e18424 in __kernel_vsyscall ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #1  0x00531d43 in __waitpid_nocancel () from /lib/libc.so.6
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #2  0x08066869 in ?? ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #3  0x08066961 in ?? ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #4  <signal handler called>
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #5  0x0805a392 in endutxent ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #6  0x0078c958 in g_cclosure_marshal_VOID(int0_t) ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]:    from /lib/libgobject-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #7  0x0077f332 in g_closure_invoke () from /lib/libgobject-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #8  0x007949a8 in ?? () from /lib/libgobject-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #9  0x00795d1d in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #10 0x007961a6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #11 0x0805ca42 in endutxent ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #12 0x006c8fd2 in ?? () from /lib/libglib-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #13 0x006cacf8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #14 0x006ce370 in ?? () from /lib/libglib-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #15 0x006ce7df in g_main_loop_run () from /lib/libglib-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #16 0x0804d34f in endutxent ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #17 0x004aaa66 in __libc_start_main () from /lib/libc.so.6
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #18 0x0804cf41 in endutxent ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]:
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: Thread 1 (process 1722):
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #0  0x00e18424 in __kernel_vsyscall ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #1  0x00531d43 in __waitpid_nocancel () from /lib/libc.so.6
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #2  0x08066869 in ?? ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #3  0x08066961 in ?? ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #4  <signal handler called>
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #5  0x0805a392 in endutxent ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #6  0x0078c958 in g_cclosure_marshal_VOID(int0_t) ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]:    from /lib/libgobject-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #7  0x0077f332 in g_closure_invoke () from /lib/libgobject-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #8  0x007949a8 in ?? () from /lib/libgobject-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #9  0x00795d1d in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #10 0x007961a6 in g_signal_emit () from /lib/libgobject-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #11 0x0805ca42 in endutxent ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #12 0x006c8fd2 in ?? () from /lib/libglib-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #13 0x006cacf8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #14 0x006ce370 in ?? () from /lib/libglib-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #15 0x006ce7df in g_main_loop_run () from /lib/libglib-2.0.so.0
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #16 0x0804d34f in endutxent ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #17 0x004aaa66 in __libc_start_main () from /lib/libc.so.6
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: #18 0x0804cf41 in endutxent ()
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: No symbol table info available.
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Aug  6 10:03:17 chowes-fedora11 gdm[2057]: ******************* END **********************************
Aug  6 10:03:17 chowes-fedora11 gdm-simple-greeter[2060]: WARNING: GetDisplayId org.freedesktop.DBus.Error.NoReply raised: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.#012
Aug  6 10:03:17 chowes-fedora11 gdm-binary[1653]: WARNING: GdmDisplay: display lasted 0.159086 seconds
Aug  6 10:03:18 chowes-fedora11 gdm-simple-greeter[2101]: WARNING: error opening connection: Failed to connect to socket /tmp/gdm-greeter-lFGSMSvR: Connection refused
Aug  6 10:03:19 chowes-fedora11 gdm-simple-greeter[2101]: WARNING: Unable to start greeter session: Failed to connect to socket /tmp/gdm-greeter-lFGSMSvR: Connection refused
Comment 1 Penelope Fudd 2009-08-06 13:30:57 EDT
Created attachment 356560 [details]
Contents of /var/log/rpmpkgs at 3am today, before yum upgrade

This is the list of all installed rpms from 3am this morning.
Comment 2 Penelope Fudd 2009-08-06 13:31:41 EDT
Created attachment 356561 [details]
Current list of rpms

Contents of /var/log/rpmpkgs now, after running /etc/cron.daily/rpm.
Comment 3 Penelope Fudd 2009-08-06 13:56:37 EDT
Created attachment 356563 [details]
Output of rpm --verify -a

This is the output of rpm --verify -a, which checks every package in the rpm database for unexpected modifications, which is essentially every system file.
Comment 4 Penelope Fudd 2009-08-06 14:05:27 EDT
Using 'yum downgrade gdm' solved the problem, as it installed gdm-2.26.1-10.fc11.i586.  I can now log in again.

As a side effect, it appears that canberra-gtk-play is now broken, as it popped up an error dialog box as soon as I logged in.  Bugreport attached.
Comment 5 Penelope Fudd 2009-08-06 14:07:21 EDT
Created attachment 356564 [details]
Bugbuddy report of canberra-gtk-play crash

After fixing gdm by downgrading it, this error popped up, probably while trying to play the login sound.  Note: sound doesn't work in this vmware instance, but I'm not trying to fix it.
Comment 6 Penelope Fudd 2009-08-06 14:13:26 EDT
Oh, no, I guess it didn't fix it completely; the window manager hangs after a few minutes, preventing you from changing window focus.

Perhaps I should downgrade everything to what it was this morning at 3am.
Comment 7 Penelope Fudd 2009-08-06 16:20:07 EDT
The downgrade helped a bit, it took longer to freeze.

So, I switched to KDE (yum -y install @kdedesktop), and things are working.

Except that I get an error about kded4 crashing with signal 6 (SIGABRT).

I'll let you know if everything freezes again.
----
Application: KDE Daemon (kded4), signal SIGABRT
[Current thread is 1 (Thread 0xb7ff0780 (LWP 1954))]

Thread 2 (Thread 0xb18ffb70 (LWP 2110)):
#0  0x0119c859 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#1  0x0119cc1e in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#2  0x0119cc98 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#3  0x011af096 in ?? () from /usr/lib/libpulse.so.0
#4  0x0195079c in ?? () from /usr/lib/libpulsecommon-0.9.15.so
#5  0x0063e935 in start_thread () from /lib/libpthread.so.0
#6  0x0057282e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb7ff0780 (LWP 1954)):
[KCrash Handler]
#6  0x00e68424 in __kernel_vsyscall ()
#7  0x004bf7c1 in raise () from /lib/libc.so.6
#8  0x004c1092 in abort () from /lib/libc.so.6
#9  0x0194fec0 in pa_mutex_unlock () from /usr/lib/libpulsecommon-0.9.15.so
#10 0x011af81f in pa_threaded_mainloop_unlock () from /usr/lib/libpulse.so.0
#11 0x00b9b3d1 in snd_config_iterator_end () from /usr/lib/alsa-lib/libasound_module_pcm_pulse.so
#12 0x077597c8 in ?? () from /lib/libasound.so.2
#13 0x077165fe in snd_pcm_close () from /lib/libasound.so.2
#14 0x00e40d7e in ?? () from /usr/lib/kde4/kded_phononserver.so
#15 0x00e43596 in ?? () from /usr/lib/kde4/kded_phononserver.so
#16 0x00e471f6 in ?? () from /usr/lib/kde4/kded_phononserver.so
#17 0x00e4d708 in QObject* KPluginFactory::createInstance<PhononServer, QObject>(QWidget*, QObject*, QList<QVariant> const&) () from /usr/lib/kde4/kded_phononserver.so
#18 0x04b8437b in KPluginFactory::create(char const*, QWidget*, QObject*, QList<QVariant> const&, QString const&) () from /usr/lib/libkdecore.so.5
#19 0x0026726e in KLibrary::resolveFunction(char const*) () from /usr/lib/libkdeinit4_kded4.so
#20 0x00267a6f in KLibrary::resolveFunction(char const*) () from /usr/lib/libkdeinit4_kded4.so
#21 0x00267ccf in KLibrary::resolveFunction(char const*) () from /usr/lib/libkdeinit4_kded4.so
#22 0x00af3fa0 in ?? () from /usr/lib/libQtDBus.so.4
#23 0x00af440a in ?? () from /usr/lib/libQtDBus.so.4
#24 0x0736987d in dbus_connection_dispatch () from /lib/libdbus-1.so.3
#25 0x00ae7583 in ?? () from /usr/lib/libQtDBus.so.4
#26 0x00ae768d in ?? () from /usr/lib/libQtDBus.so.4
#27 0x00b285c7 in ?? () from /usr/lib/libQtDBus.so.4
#28 0x047e52b3 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
#29 0x047e5f12 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#30 0x0481f4e3 in QSocketNotifier::activated(int) () from /usr/lib/libQtCore.so.4
#31 0x047e9cd7 in QSocketNotifier::event(QEvent*) () from /usr/lib/libQtCore.so.4
#32 0x05a1c3b4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#33 0x05a23a3e in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#34 0x04de03ca in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#35 0x047cf58b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#36 0x047fa2ba in ?? () from /usr/lib/libQtCore.so.4
#37 0x006cacf8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#38 0x006ce370 in ?? () from /lib/libglib-2.0.so.0
#39 0x006ce4a3 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#40 0x047fa01c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#41 0x05abb445 in ?? () from /usr/lib/libQtGui.so.4
#42 0x047cdb79 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#43 0x047cdfca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#44 0x047d043f in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#45 0x05a1c237 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#46 0x0026956e in kdemain () from /usr/lib/libkdeinit4_kded4.so
#47 0x0804868b in _start ()
Comment 8 William Makowski 2009-08-26 10:08:33 EDT
I am also experiencing this problem after a fresh install of F11. To summarize, after boot I select my user from the login display and then gdm freezes. You can move the mouse around, but nothing else can be selected. It also doesn't respond to Cntl+Alt+Backspace. To reset, I switch to a virtual termimal and kill the gdm processes.

As a work around I've been able to login to Gnome by selecting Other from the login display.  Once selected I can enter my primary user and password then proceed to the Gnome Desktop. I also get the canberra-gtk-play error right from the get go. After a period of time the session will lose focus and hang. I haven't been able to isolate what is causing this problem.

I've tried doing a groupremove and groupinstall just to see if something went awry during the installation process.  It continues to have the same problem. kdm seems to work fine and I've used both KDE and XFCE without freezing.

The system that is having this problem has run all versions of Fedora since Fedora Core 6. I have another system that was built using a rawhide install and migrated to F11 after go-live.  It runs everything without any issues.
Comment 9 Robert Scheck 2009-09-04 08:11:26 EDT
I'm seeing the same here, but I have to metion that it just seems to happen
at HP 2133 with an openchrom Xorg driver.
Comment 10 Robert Scheck 2009-09-04 08:32:23 EDT
Maybe as help for the developer/maintainer. The HP 2133 has only a resolution
of 1280x768, which is not much - especially when looking to height.

Adding Jan, as he's able to reproduce this bug all the time at a HP 2133.
Comment 11 William Makowski 2009-09-07 16:30:28 EDT
I just updated to the latest everything and it looks like this problem may be resolved.  Can anyone else confirm?  I am now able to select my user from gdm and enter the password to enter Gnome.  Although I haven't run it through its paces yet, Gnome seems to be functioning better as well.
Comment 12 Johnny Proton 2009-09-11 09:53:36 EDT
I am not able to login to my user which has Desktop Effects enabled.  

A user without Desktop Effects can login fine.

Assuming this has to do with the Xorg updates from last night?
Comment 13 Bug Zapper 2010-04-28 05:35:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-06-28 10:00:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.